## org.hibernate.engine
Class ForeignKeys.Nullifier

    java.lang.Object
      org.hibernate.engine.ForeignKeys.Nullifier

Enclosing class:
  ForeignKeys

    public static class ForeignKeys.Nullifier

extends Object

Constructor Summary
`ForeignKeys.Nullifier(Object self, boolean isDelete, boolean isEarlyInsert, SessionImplementor session)`

Method Summary
`void` `nullifyTransientReferences(Object[] values, Type[] types)` Nullify all references to entities that have not yet been inserted in the database, where the foreign key points toward that entity

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignKeys.Nullifier

    public ForeignKeys.Nullifier(Object self,
                                 boolean isDelete,
                                 boolean isEarlyInsert,
                                 SessionImplementor session)

Method Detail

### nullifyTransientReferences

    public void nullifyTransientReferences(Object[] values,
                                           Type[] types)
                                    throws HibernateException

  Nullify all references to entities that have not yet been inserted in the database, where the foreign key points toward that entity

  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.